package cn.com.countrygarden.bi.main.service.districtReport;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.districtReport.RdNewProjectDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.districtReport.RdNewProject;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 新项目信息-未开盘项目信息-业务逻辑层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2019-08-14
 */
public interface RdNewProjectService {

    Result queryPageList(RdNewProjectDTO rdNewProjectDTO, int page, int size,AccessToken accessToken);

    Result queryById(Integer id);

    Result rdNewProjectAddOne(String districtCode,String projectCode,AccessToken accessToken);

    Result add(RdNewProjectDTO rdNewProjectDTO, AccessToken accessToken);

    Result edit(RdNewProject rdNewProject, AccessToken accessToken);

    Result synchronousData(Integer id,String regionCode,String projectCode,String syncUsercode,AccessToken accessToken);

    Result del(Integer id,AccessToken accessToken,String updateName);

    Result delpiliang(String ids,AccessToken accessToken,String updateName);

    Result synchronousDataAll(String ids,String regionCodeList,String projectCodeList,String syncUsercode,AccessToken accessToken);

    HSSFWorkbook exportAllRdNewProject(AccessToken accessToken, HttpServletResponse response) throws IOException;

}